summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 4c04f7f32..1642793f5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -36,10 +36,11 @@
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
skip_gnulib=false
+skip_gnulib_option=
while :; do
case "$1" in
- --skip-gnulib) skip_gnulib=true; shift;;
+ --skip-gnulib) skip_gnulib=true; skip_gnulib_option='--skip-gnulib'; shift;;
*) break ;;
esac
done
@@ -412,6 +413,11 @@ aclocal -I m4 -I ../m4 -I gnulib-m4 \
|| exit $?
cd "$dir0"
+echo "$0: generating files in libtextstyle..."
+cd libtextstyle
+./autogen.sh $skip_gnulib_option || exit $?
+cd "$dir0"
+
echo "$0: generating configure in gettext-tools/examples..."
cd gettext-tools/examples
aclocal -I ../../gettext-runtime/m4 -I ../../m4 \